> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Multi-LORA Endpoint



## OpenAPI

````yaml POST /endpoints/create_multi_lora_endpoint
openapi: 3.0.1
info:
  title: FlexAI API
  description: API for managing datasets, fine-tuning models, and handling ML tasks
  version: 1.0.0
servers:
  - url: https://api.getflex.ai/v1
security:
  - bearerAuth: []
paths:
  /endpoints/create_multi_lora_endpoint:
    post:
      summary: Create Multi-LORA Endpoint
      operationId: createMultiLoraEndpoint
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMultiLoraEndpointRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  endpoint_id:
                    type: string
        '400':
          $ref: '#/components/responses/BadRequest'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    CreateMultiLoraEndpointRequest:
      type: object
      required:
        - name
        - lora_checkpoints
        - compute
      properties:
        name:
          type: string
        compute:
          type: string
          enum:
            - T4
            - A100-40GB
            - A100-80GB
            - A10G
            - A100-80GB
            - L4
        lora_checkpoints:
          type: array
          items:
            $ref: '#/components/schemas/LoraCheckpoint'
        idle_timeout_seconds:
          type: integer
          default: 60
    LoraCheckpoint:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
        name:
          type: string
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````